{% extends 'admin/base.html.twig' %}

{% block css %}
    <link rel="stylesheet" href="{{ asset('css/admin/departments/styles.css') }}"/>
    <link rel="stylesheet" href="{{ asset('css/admin/departments/media.css') }}"/>
{% endblock %}

{% block jsscript %}
    <script src="{{ asset('js/admin/departments/departments.js') }}"></script>
{% endblock %}

{% block content %}
<div class="title-block">
    <h2>Департменты</h2>
    <p>Список разделов сайта</p>
</div>
<div class="submenu-block">
    <ul>
        <li>
            <a href="{{ path('admin_department_create') }}">Создать</a>
        </li>
    </ul>
    <div class="clearfix"></div>
</div>
<div class="table-responsive-sm">
    <table class="table table-striped table-bordered table-hover">
        <thead>
        <tr>
            <th style="width: 5%">ID</th>
            <th style="width: 70%">Название</th>
            <th style="width: 10%">Действие</th>
        </tr>
        </thead>
        <tbody>
        {% for department in departments %}
        <tr>
            <td style="text-align: center">{{ department.id }}</td>
            <td><a href="{{ path('admin_department_edit', {'id': department.id}) }}">{{ department.name }}</a></td>
            <td style="text-align: center">
                <a href="{{ path('admin_department_edit', {'id': department.id}) }}"><span class="i-edit"><i class="fas fa-pencil-alt"></i></span></a>
{#                <a href="" class="btn-delete-department" data-department-id="{{ department.id }}"><span class="i-delete"><i class="fas fa-trash-alt"></i></span></a>#}
            </td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
</div>
{% endblock %}